package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class OperatingReportQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "类型 organ-分部 school-学校", required = false)
    private String type;

    @ApiModelProperty(value = "分部id", required = false)
    private String organIdList;

    @ApiModelProperty(value = "合作机构", required = false)
    private Integer cooperationOrganId;

    @ApiModelProperty(value = "月份", required = false)
    private Date month;

    private Date startTime;

    private Date endTime;

    public String getOrganIdList() {
        return organIdList;
    }

    public void setOrganIdList(String organIdList) {
        this.organIdList = organIdList;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public void setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
    }

    public Date getMonth() {
        return month;
    }

    public void setMonth(Date month) {
        this.month = month;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
